Cabal-1.22.5.0: A framework for packaging Haskell software

Copyright | Isaac Jones 2003-2005, Ross Paterson 2006, Duncan Coutts 2007-2008
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell98

Distribution.Simple.Build.PathsModule

Description

Generating the Paths_pkgname module.

This is a module that Cabal generates for the benefit of packages. It enables them to find their version number and find any installed data files at runtime. This code should probably be split off into another module.

Synopsis

- generate :: PackageDescription -> LocalBuildInfo -> String
- pkgPathEnvVar :: PackageDescription -> String -> String

# Documentation

generate :: PackageDescription -> LocalBuildInfo -> String

pkgPathEnvVar

Arguments

:: PackageDescription |
-> String | path component; one of "bindir", "libdir", "datadir", "libexecdir", or "sysconfdir"
-> String | environment variable name

Generates the name of the environment variable controlling the path component of interest.